Package com.massivecraft.factions

## Enum Conf.Backend

- java.lang.Object
- - java.lang.Enum<Conf.Backend>
  - - com.massivecraft.factions.Conf.Backend

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Conf.Backend>`, `java.lang.constant.Constable`

Enclosing class:
  Conf

    public static enum Conf.Backend
    extends java.lang.Enum<Conf.Backend>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`JSON` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static Conf.Backend` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static Conf.Backend[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JSON

    public static final Conf.Backend JSON

### Method Detail

#### values

    public static Conf.Backend[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Conf.Backend valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null